Package Base Details: nvidia-mainline

Git Clone URL: https://aur-dev.archlinux.org/nvidia-mainline.git (read-only)
Keywords: mainline nvidia
Submitter: miffe
Maintainer: None
Last Packager: FadeMind
Votes: 17
Popularity: 0.024803
First Submitted: 2010-10-08 00:27
Last Updated: 2017-01-23 13:37

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

r3ddr4gOn commented on 2015-05-04 03:55

-updated for linux-mainline-4.1
-added nvidia-4.1.patch (changes module license to GPL again as a temporary workaround)

r3ddr4gOn commented on 2015-04-24 18:15

... ok I was on that site a few hours ago and the short lived branch was at 343.xx. Maybe a cache problem -.-. Thanks

FadeMind commented on 2015-04-24 18:13

r3ddr4gOn 349.16 is stable but Short Lived Branch. See: http://www.nvidia.com/object/unix.html

r3ddr4gOn commented on 2015-04-24 16:37

-updated to nvidia beta driver 349.16
(I don´t really understand why the official arch package is using a beta driver)

r3ddr4gOn commented on 2015-04-09 01:21

-updated to nvidia driver 346.59
-removed the 4.0 patch as it is already included in 346.59

r3ddr4gOn commented on 2015-02-27 15:24

-updated to nvidia driver 346.47
-removed the 3.18 patch as it is no longer needed (although it is still in the official arch nvidia package)

FadeMind commented on 2015-02-26 14:38

r3ddr4gOn sometimes go to: https://projects.archlinux.org/svntogit/packages.git/tree/trunk?h=packages/nvidia

and find out what's new ;)

r3ddr4gOn commented on 2015-02-26 14:23

right I didn´t know it´s not needed anymore. removed in r5.

FadeMind commented on 2015-02-26 14:09

For Linux 4.0RC1 patch is needed for proper build:
https://devtalk.nvidia.com/default/topic/813458/linux/linux-4-0-rc1-346-35-build-error-_cr4-functions-fix/

Is needed only patch from 3.18 with .set_busid = drm_pci_set_busid
https://projects.archlinux.org/svntogit/packages.git/tree/trunk/nv-drm-343.36.patch?h=packages/nvidia

Patch 3.19 is not needed now.

smirky commented on 2015-02-26 13:15

Can you share some info about the files:
nvidia-3.19.patch
nvidia-4.0.patch

I don't see a 3.19 patch in the [testing] nvidia package. Why and from where did you gather them?